it.gov.taccuino

## Class TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore

- java.lang.Object
- - it.gov.taccuino.TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore

- Enclosing class:
    TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2024-11-15T12:10:56+01:00",
                 comments="JAXB RI v2.3.2")
      public static class TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore
      extends Object

  Classe Java per anonymous complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="areaInteressata">
                 <complexType>
                   <simpleContent>
                     <extension base="<urn:taccuino:common>string1_128">
                       <attribute name="codeSystem" type="{urn:taccuino:common}string1_200" />
                       <attribute name="codeSystemName" type="{urn:taccuino:common}string1_200" />
                       <attribute name="codeSystemVersion" type="{urn:taccuino:common}decimal3_2" />
                       <attribute name="code" type="{urn:taccuino:common}string1_200" />
                     </extension>
                   </simpleContent>
                 </complexType>
               </element>
               <element name="descrizione">
                 <complexType>
                   <simpleContent>
                     <extension base="<urn:taccuino:common>string1_256">
                       <attribute name="codeSystem" type="{urn:taccuino:common}string1_200" />
                       <attribute name="codeSystemName" type="{urn:taccuino:common}string1_200" />
                       <attribute name="codeSystemVersion" type="{urn:taccuino:common}decimal3_2" />
                       <attribute name="code" type="{urn:taccuino:common}string1_200" />
                     </extension>
                   </simpleContent>
                 </complexType>
               </element>
             </sequence>
             <attribute name="dataRegistrazione" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
             <attribute name="dataAggiornamento" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
             <attribute name="dataInizioDolore" use="required" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
             <attribute name="dataFineDolore" type="{http://www.w3.org/2001/XMLSchema}dateTime" />
             <attribute name="valoreDolore">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="0"/>
                   <enumeration value="2"/>
                   <enumeration value="4"/>
                   <enumeration value="6"/>
                   <enumeration value="8"/>
                   <enumeration value="10"/>
                 </restriction>
               </simpleType>
             </attribute>
           </restriction>
         </complexContent>
       </complexType>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore.AreaInteressata` Classe Java per anonymous complex type.
    `static class` | `TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore.Descrizione` Classe Java per anonymous complex type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore.AreaInteressata` | `areaInteressata`
    `protected XMLGregorianCalendar` | `dataAggiornamento`
    `protected XMLGregorianCalendar` | `dataFineDolore`
    `protected XMLGregorianCalendar` | `dataInizioDolore`
    `protected XMLGregorianCalendar` | `dataRegistrazione`
    `protected TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore.Descrizione` | `descrizione`
    `protected String` | `valoreDolore`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dolore()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore.AreaInteressata` | `getAreaInteressata()` Recupera il valore della proprietà areaInteressata.
    `XMLGregorianCalendar` | `getDataAggiornamento()` Recupera il valore della proprietà dataAggiornamento.
    `XMLGregorianCalendar` | `getDataFineDolore()` Recupera il valore della proprietà dataFineDolore.
    `XMLGregorianCalendar` | `getDataInizioDolore()` Recupera il valore della proprietà dataInizioDolore.
    `XMLGregorianCalendar` | `getDataRegistrazione()` Recupera il valore della proprietà dataRegistrazione.
    `TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore.Descrizione` | `getDescrizione()` Recupera il valore della proprietà descrizione.
    `String` | `getValoreDolore()` Recupera il valore della proprietà valoreDolore.
    `void` | `setAreaInteressata(TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore.AreaInteressata value)` Imposta il valore della proprietà areaInteressata.
    `void` | `setDataAggiornamento(XMLGregorianCalendar value)` Imposta il valore della proprietà dataAggiornamento.
    `void` | `setDataFineDolore(XMLGregorianCalendar value)` Imposta il valore della proprietà dataFineDolore.
    `void` | `setDataInizioDolore(XMLGregorianCalendar value)` Imposta il valore della proprietà dataInizioDolore.
    `void` | `setDataRegistrazione(XMLGregorianCalendar value)` Imposta il valore della proprietà dataRegistrazione.
    `void` | `setDescrizione(TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore.Descrizione value)` Imposta il valore della proprietà descrizione.
    `void` | `setValoreDolore(String value)` Imposta il valore della proprietà valoreDolore.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### areaInteressata

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore.AreaInteressata areaInteressata

    - #### descrizione

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore.Descrizione descrizione

    - #### dataRegistrazione

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected XMLGregorianCalendar dataRegistrazione

    - #### dataAggiornamento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected XMLGregorianCalendar dataAggiornamento

    - #### dataInizioDolore

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected XMLGregorianCalendar dataInizioDolore

    - #### dataFineDolore

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected XMLGregorianCalendar dataFineDolore

    - #### valoreDolore

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          protected String valoreDolore

  - ### Constructor Detail

    - #### Dolore

          public Dolore()

  - ### Method Detail

    - #### getAreaInteressata

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore.AreaInteressata getAreaInteressata()

      Recupera il valore della proprietà areaInteressata.
      Returns:
        possible object is `TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore.AreaInteressata`

    - #### setAreaInteressata

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setAreaInteressata(TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore.AreaInteressata value)

      Imposta il valore della proprietà areaInteressata.
      Parameters:
        `value` - allowed object is `TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore.AreaInteressata`

    - #### getDescrizione

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore.Descrizione getDescrizione()

      Recupera il valore della proprietà descrizione.
      Returns:
        possible object is `TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore.Descrizione`

    - #### setDescrizione

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setDescrizione(TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore.Descrizione value)

      Imposta il valore della proprietà descrizione.
      Parameters:
        `value` - allowed object is `TaccuinoType.OsservazioniPersonali.SegniSintomi.Dolori.Dolore.Descrizione`

    - #### getDataRegistrazione

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public XMLGregorianCalendar getDataRegistrazione()

      Recupera il valore della proprietà dataRegistrazione.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDataRegistrazione

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setDataRegistrazione(XMLGregorianCalendar value)

      Imposta il valore della proprietà dataRegistrazione.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getDataAggiornamento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public XMLGregorianCalendar getDataAggiornamento()

      Recupera il valore della proprietà dataAggiornamento.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDataAggiornamento

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setDataAggiornamento(XMLGregorianCalendar value)

      Imposta il valore della proprietà dataAggiornamento.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getDataInizioDolore

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public XMLGregorianCalendar getDataInizioDolore()

      Recupera il valore della proprietà dataInizioDolore.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDataInizioDolore

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setDataInizioDolore(XMLGregorianCalendar value)

      Imposta il valore della proprietà dataInizioDolore.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getDataFineDolore

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public XMLGregorianCalendar getDataFineDolore()

      Recupera il valore della proprietà dataFineDolore.
      Returns:
        possible object is `XMLGregorianCalendar`

    - #### setDataFineDolore

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setDataFineDolore(XMLGregorianCalendar value)

      Imposta il valore della proprietà dataFineDolore.
      Parameters:
        `value` - allowed object is `XMLGregorianCalendar`

    - #### getValoreDolore

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public String getValoreDolore()

      Recupera il valore della proprietà valoreDolore.
      Returns:
        possible object is `String`

    - #### setValoreDolore

          @Generated(value="com.sun.tools.xjc.Driver",
                     date="2024-11-15T12:10:56+01:00",
                     comments="JAXB RI v2.3.2")
          public void setValoreDolore(String value)

      Imposta il valore della proprietà valoreDolore.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2024. All rights reserved.